CREATE TABLE public.CUSTOMER
(
	ID      	BIGSERIAL 	PRIMARY KEY,
	NAME		VARCHAR 	NOT NULL,
	VIP_LEVEL	VARCHAR 	NOT NULL
);

ALTER SEQUENCE CUSTOMER_ID_seq INCREMENT BY 50;

CREATE TABLE public.VOYAGE
(
	ID      		BIGSERIAL 			PRIMARY KEY,
	
	CUSTOMER_ID  	 BIGINT 		    NOT NULL REFERENCES CUSTOMER (ID)

);

ALTER SEQUENCE VOYAGE_ID_seq RESTART 100000 INCREMENT BY 50;

CREATE TABLE public.LEG
(
	ID      		BIGSERIAL 		PRIMARY KEY,
	STATUS			VARCHAR 		NOT NULL,
	
	VOYAGE_ID  	 	BIGINT 		    NOT NULL REFERENCES VOYAGE (ID),
	ROUTE_ID  	 	BIGINT 		    NOT NULL REFERENCES ROUTE (ID)
);

ALTER SEQUENCE LEG_ID_seq RESTART 100000 INCREMENT BY 50;

CREATE TABLE public.DISCOUNT
(
	ID      	BIGSERIAL 			PRIMARY KEY,
	RATE		DOUBLE PRECISION 	NOT NULL,
	
	VOYAGE_ID  	 BIGINT 		    REFERENCES VOYAGE (ID)
);

ALTER SEQUENCE DISCOUNT_ID_seq RESTART 100000 INCREMENT BY 50;
